cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Learn all about the Community Ranking System, a fun gamification element of the PTC Community. X

Create part with default template

Ketan_Lalcheta
19-Tanzanite

Create part with default template

Hello,

How can I create a part with default template using protoolkit?

I am using below API, but could not identify what to do next?

ProsolidCreate

ProSolidDisplay

Any suggestion will be of great help.

Thanks and Regards

Ketan

1 REPLY 1

follow below steps for creating Part/Assembly/Drawing with default template or start part.

 

1) ProMdlRetrieve //Template or start part

2) ProMdlCopy //copy template

3) ProMdlNameGet //new model name from copied template name (name from point 2)

4)ProMdlRetrieve //Retrieve the new model

5)ProWindowCurrentGet //get current window

6)ProObjectwindowCreate //get retrieved model in current window

7)ProWindowActivate //activate window

8)ProMdlDisplay //new model display
9)ProWindowActivate //activate window.

Top Tags